<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><link rel="canonical" href="https://example.com/light-beacon-network/" />
      <link rel="shortcut icon" href="../img/favicon.ico" />
    <title>Light a Beacon Network - ELIXIR Beacon v2 Network Documentation</title>
    <link rel="stylesheet" href="../css/theme.css" />
    <link rel="stylesheet" href="../css/theme_extra.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/styles/github.min.css" />
    
      <script>
        // Current page data
        var mkdocs_page_name = "Light a Beacon Network";
        var mkdocs_page_input_path = "light-beacon-network.md";
        var mkdocs_page_url = "/light-beacon-network/";
      </script>
    
    <script src="../js/jquery-3.6.0.min.js" defer></script>
    <!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
    <![endif]-->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/highlight.min.js"></script>
      <script>hljs.initHighlightingOnLoad();</script> 
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
          <a href=".." class="icon icon-home"> ELIXIR Beacon v2 Network Documentation
        </a><div role="search">
  <form id ="rtd-search-form" class="wy-form" action="../search.html" method="get">
      <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="..">Home</a>
                </li>
              </ul>
              <ul class="current">
                <li class="toctree-l1 current"><a class="reference internal current" href="./">Light a Beacon Network</a>
    <ul class="current">
    <li class="toctree-l2"><a class="reference internal" href="#installation">Installation</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#add-a-new-beacon-to-the-network">Add a new Beacon to the network</a>
    </li>
    </ul>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../beacon-aggregator/">Aggregator</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../beacon-registry/">Registry</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../best-practices/">Best practices</a>
                </li>
              </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">
      <nav class="wy-nav-top" role="navigation" aria-label="Mobile navigation menu">
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="..">ELIXIR Beacon v2 Network Documentation</a>
        
      </nav>
      <div class="wy-nav-content">
        <div class="rst-content"><div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href=".." class="icon icon-home" aria-label="Docs"></a> &raquo;</li>
      <li>Light a Beacon Network</li>
    <li class="wy-breadcrumbs-aside">
    </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
            <div class="section" itemprop="articleBody">
              
                <h1 id="light-a-beacon-v2-network">Light a Beacon v2 Network</h1>
<p>When multiple institutions or organizations deploy Beacons and make them accessible to a network, they form a Beacon Network. This network enables federated querying across multiple Beacons without the need of centralized data storage or direct access to the data. Thus, it allows researchers to discover data from multiple Beacons in a single query.</p>
<p>If you want to deploy the ELIXIR Beacon v2 Network instance made by the <a href="www.bsc.es">BSC</a>, follow the steps from <a href="##installation">Installation</a>.</p>
<h2 id="installation">Installation</h2>
<p>For a quick installation, first download the code from the <a href="https://gitlab.bsc.es/inb/ga4gh/beacon-network-v2">repository</a>:</p>
<pre><code>git clone https://gitlab.bsc.es/inb/ga4gh/beacon-network-v2.git
cd beacon-network-v2
</code></pre>
<p>Inside the code, there are the default Beacons from the network. If you want to change them, edit the <code>target/beacon-network-v2-0.0.2/BEACON-INF/beacon-network.json</code> file.</p>
<p>If you want to change your Beacon instances of the network authomatically, it is possible to define external directory for the <code>beacon-network.json</code> configuration.</p>
<pre><code class="language-bash">export BEACON_NETWORK_CONFIG_DIR=/wildfly/BEACON-INF
</code></pre>
<p>When the <code>BEACON_NETWORK_CONFIG_DIR</code> is set, the aggregator monitors the <code>$BEACON_NETWORK_CONFIG_DIR/beacon-network.json</code> to dynamically update the configuration.</p>
<p>And compile the code:</p>
<pre><code class="language-bash">mvn install
</code></pre>
<p>Then, download last stable version of <a href="https://www.wildfly.org/">WildFly</a> and copy the compiled code <code>.war</code> to the wildfly <code>standalone/deployments/</code> folder:</p>
<pre><code class="language-bash">cp beacon-network-v2/target/beacon-network-v2-x.x.x.war wildfly-xx.x.x.Final/standalone/deployments/
</code></pre>
<p>And finally, run the server:</p>
<pre><code class="language-bash">./wildfly-xx.x.x.Final/bin/standalone.sh
</code></pre>
<p>Congrats! You have created Beacon Network in <a href="http://localhost:8080/beacon-network/v2.0.0/">http://localhost:8080/beacon-network/v2.0.0/</a>.</p>
<h2 id="add-a-new-beacon-to-the-network">Add a new Beacon to the network</h2>
<p>Before putting a new Beacon in the network, it is recommended passing the new Beacon to the verifier.</p>
<p>Then, you can put the URL of your Beacon in the Beacon v2 Network. After the <code>BEACON_NETWORK_CONFIG_DIR</code> environment variable is set, you can add the new URL in the <code>beacon-network.json</code>. Then, the Beacon Network will fetch the new Beacon.</p>
              
            </div>
          </div><footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="Footer Navigation">
        <a href=".." class="btn btn-neutral float-left" title="Home"><span class="icon icon-circle-arrow-left"></span> Previous</a>
        <a href="../beacon-aggregator/" class="btn btn-neutral float-right" title="Aggregator">Next <span class="icon icon-circle-arrow-right"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
          
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="Versions">
  <span class="rst-current-version" data-toggle="rst-current-version">
    
    
      <span><a href=".." style="color: #fcfcfc">&laquo; Previous</a></span>
    
    
      <span><a href="../beacon-aggregator/" style="color: #fcfcfc">Next &raquo;</a></span>
    
  </span>
</div>
    <script>var base_url = '..';</script>
    <script src="../js/theme_extra.js" defer></script>
    <script src="../js/theme.js" defer></script>
      <script src="../search/main.js" defer></script>
    <script defer>
        window.onload = function () {
            SphinxRtdTheme.Navigation.enable(true);
        };
    </script>

</body>
</html>
